Bug 213683 - /etc/rc.d/init.d/smartd "unary operator expected" error
/etc/rc.d/init.d/smartd "unary operator expected" error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 10:42 EST by Kevin Layer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: smartmontools-5.36-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 07:49:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Layer 2006-11-02 10:42:04 EST
If I change /etc/smartd.conf and remove the auto-generated marker so
my changes do not get clobbered, I get an error when the init script
is run:

/etc/rc.d/init.d/smartd: line 40: [: ==: unary operator expected

This change fixes the problem:

&& [ "$GEN_CONF" == "*SMARTD*AUTOGENERATED*" ] \

to

&& [ $GEN_CONF == "*SMARTD*AUTOGENERATED*" ] \
Comment 1 Tomas Mraz 2006-11-02 10:49:44 EST
If you remove just the marker and leave the /etc/smartd.conf there or if you
remove the whole line as the comment below says it will work fine. -> Severity
Low. But I agree it should be eventually fixed.

Note You need to log in before you can comment on or make changes to this bug.